ClientT1Protocol (Java Card 3 Platform, APDU I/O Library)
Date: 2009-11-05

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.apduio
Class ClientT1Protocol

    java.lang.Object
      com.sun.javacard.apduio.ClientProtocol
          com.sun.javacard.apduio.ClientT1Protocol

    public class ClientT1Protocol

extends ClientProtocol

The ClientT1Protocol class manages the client (terminal) side of the T=1 protocol exchange with a CAD.

Field Summary
`protected T1Block` | `blockFromCard`
`protected T1Block` | `blockToCard`
`protected boolean` | `numSeq`
`protected boolean` | `numSeqRcv`
`protected boolean` | `numSeqTx`

Fields inherited from class com.sun.javacard.apduio.ClientProtocol
`cad`

Constructor Summary
`ClientT1Protocol(CadT1Client cad)` Constructs a new ClientT1Protocol instance.

Method Summary
`void` | `exchangeApdu(Apdu apdu)` Exchange a case 1, 2s, 3s, 4s, 2e, 3e and 4e APDU with a CAD.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numSeq

    protected boolean numSeq

### numSeqTx

    protected boolean numSeqTx

### numSeqRcv

    protected boolean numSeqRcv

### blockToCard

    protected T1Block blockToCard

### blockFromCard

    protected T1Block blockFromCard

Constructor Detail

### ClientT1Protocol

    public ClientT1Protocol(CadT1Client cad)

  Constructs a new ClientT1Protocol instance.

  Parameters:
    `cad` - The Cad object which all IO will be done through.

Method Detail

### exchangeApdu

    public void exchangeApdu(Apdu apdu)
                      throws java.io.IOException,
                             T1Exception

  Exchange a case 1, 2s, 3s, 4s, 2e, 3e and 4e APDU with a CAD.

  Specified by:
    `exchangeApdu` in class `ClientProtocol`
  Parameters:
    `apdu` - The APDU to exchange.
  Throws:
    `T1Exception` - if the apdu is an unsupported case.
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.